> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/oms-openapis/application-settings/models.md).

# Models

## The ApplicationSettings object

```json
{"openapi":"3.0.3","info":{"title":"OMS Base Module API","version":"1.0.0"},"components":{"schemas":{"ApplicationSettings":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier for the application setting"},"key":{"type":"string","description":"The key of the application setting"},"json_value":{"type":"object","description":"The value of the application setting, structure depends on the key.\nThis is a dynamic object that follows the schema defined for each setting key.\n"}},"required":["id","key","json_value"]}}}}
```

## The ApplicationSettingsCreate object

```json
{"openapi":"3.0.3","info":{"title":"OMS Base Module API","version":"1.0.0"},"components":{"schemas":{"ApplicationSettingsCreate":{"type":"object","properties":{"key":{"type":"string","description":"The key of the application setting.\nMust be one of the predefined ApplicationSettingsKey enum values.\n"},"json_value":{"type":"object","description":"The value of the application setting, structure depends on the key.\nThis is a dynamic object that follows the schema defined for each setting key.\n"}},"required":["key","json_value"]}}}}
```

## The ApplicationSettingsUpdate object

```json
{"openapi":"3.0.3","info":{"title":"OMS Base Module API","version":"1.0.0"},"components":{"schemas":{"ApplicationSettingsUpdate":{"type":"object","properties":{"json_value":{"type":"object","description":"The new value of the application setting, structure depends on the key.\nThis is a dynamic object that follows the schema defined for each setting key.\n"}},"required":["json_value"]}}}}
```

## The ValidationError object

```json
{"openapi":"3.0.3","info":{"title":"OMS Base Module API","version":"1.0.0"},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"json_value":{"oneOf":[{"type":"object","description":"Validation errors for the json_value field (for nested fields)"},{"type":"array","description":"Validation errors for the json_value field (general errors)","items":{"type":"string"}}]}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/oms-openapis/application-settings/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
